curl --request POST \
--url https://beaconcha.in/api/v2/ethereum/validators/performance-aggregate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"validator": {
"validator_identifiers": [
1
]
},
"range": {
"evaluation_window": "24h"
},
"chain": "mainnet"
}
'{
"data": {
"beaconscore": {
"total": 0.5,
"attestation": 0.5,
"proposal": 0.5,
"sync_committee": 0.5
},
"duties": {
"attestation": {
"included": 123,
"assigned": 123,
"correct_head": 123,
"correct_source": 123,
"correct_target": 123,
"valuable_correct_head": 123,
"valuable_correct_source": 123,
"valuable_correct_target": 123,
"avg_inclusion_delay": 1.2,
"avg_inclusion_delay_excluding_missed_slots": 1.2,
"missed": 123
},
"sync_committee": {
"successful": 1,
"assigned": 1,
"missed": 1,
"scheduled": 1
},
"proposal": {
"successful": 123,
"assigned": 123,
"missed": 123,
"included_slashings": 123
}
},
"finality": "not_finalized"
},
"range": {
"slot": {
"start": 1,
"end": 1
},
"epoch": {
"start": 1,
"end": 1
},
"timestamp": {
"start": 1,
"end": 1
}
}
}Returns aggregated performance metrics for a known collection or group of validators. Known collections are referenced by index, public key, deposit address, or withdrawal address.
This endpoint includes the BeaconScore metric, which measures how well validators perform their duties. Learn more about how BeaconScore is calculated.
curl --request POST \
--url https://beaconcha.in/api/v2/ethereum/validators/performance-aggregate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"validator": {
"validator_identifiers": [
1
]
},
"range": {
"evaluation_window": "24h"
},
"chain": "mainnet"
}
'{
"data": {
"beaconscore": {
"total": 0.5,
"attestation": 0.5,
"proposal": 0.5,
"sync_committee": 0.5
},
"duties": {
"attestation": {
"included": 123,
"assigned": 123,
"correct_head": 123,
"correct_source": 123,
"correct_target": 123,
"valuable_correct_head": 123,
"valuable_correct_source": 123,
"valuable_correct_target": 123,
"avg_inclusion_delay": 1.2,
"avg_inclusion_delay_excluding_missed_slots": 1.2,
"missed": 123
},
"sync_committee": {
"successful": 1,
"assigned": 1,
"missed": 1,
"scheduled": 1
},
"proposal": {
"successful": 123,
"assigned": 123,
"missed": 123,
"included_slashings": 123
}
},
"finality": "not_finalized"
},
"range": {
"slot": {
"start": 1,
"end": 1
},
"epoch": {
"start": 1,
"end": 1
},
"timestamp": {
"start": 1,
"end": 1
}
}
}Free selectors available to all users:
Premium selectors for Scale & Enterprise plans (https://beaconcha.in/pricing):
sub_entity for more specific filtering. Matching is case-insensitive.Note: The set of validators matched by deposit_address and withdrawal selectors is updated once per epoch (~6.4 minutes). Newly deposited validators may take up to one epoch to appear in query results.
Note: The set of validators matched by entity selector is updated once per day.
Show child attributes
Specify a time range using a pre-fixed evaluation window.
Show child attributes
The Ethereum chain to query.
mainnet, hoodi Was this page helpful?